Jump to content
NicklasBach

Update from 1.7.5.2 to 1.7.6 gives ParameterNotFoundException error

Recommended Posts

Hello. 
I tried updating my webshop to 1.7.6 and began to get this error, whenever i do something- and after that it always gets stuck. 

"Whoops, looks like something went wrong.

(1/1) ParameterNotFoundException
The service "prestashop.core.mail_template.theme_folder_catalog" has a dependency on a non-existent parameter "mail_themes_dir". Did you mean this: "themes_dir"?"

I made a backup of the old version which is also not working, when i restore it.
Every time i restore my backup it all seems fine at the beginning, then i go to my backoffice and do some kind of action (change theme, disssable module, change order status etc.) - No matter what i do i results in the error attached, and then afterwards i am unable to do anything.

The only thing i can do from there is restore my backup again and continue in this evil circle.

Capture.PNG

Share this post


Link to post
Share on other sites

same error. ps 1.7.5.2. Any suggestions?

  • Like 1

Share this post


Link to post
Share on other sites

Absolutely the same to me - as NicklasBach described.

  • Like 1

Share this post


Link to post
Share on other sites
51 minutes ago, artbox said:

Absolutely the same to me - as NicklasBach described.

Yea.. I ended up just downgrading Via. A backup i made before upgrading.

Might try to upgrade again when they come out with a patch. :)

Share this post


Link to post
Share on other sites

It seems to have a problem with unidentified .twig files. To get it to install I need to remove \mails\themes\modern from my install copy. After the install you can add that dir back.

That said I still can't use PS 1.7.6 because the product bulk update for combinations still isn't working with multi shop.

Share this post


Link to post
Share on other sites
1 minute ago, Bill Dalton said:

It seems to have a problem with unidentified .twig files. To get it to install I need to remove \mails\themes\modern from my install copy. After the install you can add that dir back.

That said I still can't use PS 1.7.6 because the product bulk update for combinations still isn't working with multi shop.

Hello, what excatly do you mean? 

Can i do something to fix it?

Share this post


Link to post
Share on other sites

I solved the problem. In my case after unsuccessful update to 1.7.6 I rollback files through hosting backup system. The trick was that during rollback it just replaced files but didn`t delete  other (created during update). So I clean site folder, then made rollback and all works fine. Then I switched off all overrides and non-prestashop modules, upgraded modules (1-click update module) and successfully updated to 1.7.6. Now there is only one bug - with translations. Translations for all modules can`t load in backoffice.

Share this post


Link to post
Share on other sites

I have the same problem, after unsuccessful update to 1.7.6. I tried to delete the files and restore a previous backup but I didn't solve it: as soon as I make some changes like changing the configuration of the modules, the BO goes into error with the same message in debug mode that Nicklas Bach had.
Please help me?

Share this post


Link to post
Share on other sites

Then I'm not the only one still having this problem.
I hope someone can help us, also because I tried to restore a backup made with Akeeba before the update attempt and I don't really understand why, the problem reappears.
Please Bill Dalton, if you're not on vacation, help us

Share this post


Link to post
Share on other sites

Hi, I noticed that in the BO menu, in the Design section there is the "Email Themes" entry left since the attempt to upgrade to PS 1.7.6, if you click on it a page opens with the message: The AdminMailTheme controller is missing or invalid . So, I think maybe cleaning up this residue could solve the problem, but I don't know how to do it, someone can tell me how to do it?

Share this post


Link to post
Share on other sites
Posted (edited)

Me too, I've exactly the same issue.

When trying to upgrade from 1.7.5.1 to 1.7.6.x

The shop was working fine, tried to upgrade the 1-click upgrade module, blank screen, restored from backup, but since then, whatever I do in the backend results in a blank screen or the same error.

so, it seems my shop is unusable now

urgently looking for a fix/solution

Edited by litebit (see edit history)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More